vim.api.nvim_create_autocmd("TextYankPost", { -- highlight yanked characters
    callback = function()
        vim.highlight.on_yank({ timeout = 250 })
    end
})

vim.api.nvim_create_autocmd("FileType", { -- close some filetypes with <q>
    pattern = {
        "help",
        "man",
    },
    callback = function(event)
        vim.bo[event.buf].buflisted = false
        vim.keymap.set("n", "q", "<cmd>quit<cr>", { buffer = event.buf, silent = true })
    end,
})
